curl --location --request GET 'https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3' \
--header 'x-agent-id: <agent-id>'
import requests
url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3"
payload = {}
headers = {
'x-agent-id': '<agent-id>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
const url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3";
const headers = {
'x-agent-id': '<agent-id>'
};
fetch(url, {
method: 'GET',
headers: headers
})
.then(response => response.text())
.then(result => console.log(result));
{
"session_id": "a349a41e-5d49-488a-b300-66ccbfdf16b3",
"expires_at": "2024-01-01T12:00:00Z"
}{
"error": {
"code": "forbidden",
"msg": "No agent id provided"
}
}{
"error": {
"code": "not_found",
"msg": "Session not found"
}
}{
"error": {
"code": "internal_server_error",
"msg": "Internal server error"
}
}MedAssist APIs
Get Session
Retrieves the current status and details of an existing MedAssist session.
Use this endpoint to check session status, expiration, and metadata.
GET
/
med-assist
/
session
/
{session_id}
curl --location --request GET 'https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3' \
--header 'x-agent-id: <agent-id>'
import requests
url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3"
payload = {}
headers = {
'x-agent-id': '<agent-id>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
const url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3";
const headers = {
'x-agent-id': '<agent-id>'
};
fetch(url, {
method: 'GET',
headers: headers
})
.then(response => response.text())
.then(result => console.log(result));
{
"session_id": "a349a41e-5d49-488a-b300-66ccbfdf16b3",
"expires_at": "2024-01-01T12:00:00Z"
}{
"error": {
"code": "forbidden",
"msg": "No agent id provided"
}
}{
"error": {
"code": "not_found",
"msg": "Session not found"
}
}{
"error": {
"code": "internal_server_error",
"msg": "Internal server error"
}
}curl --location --request GET 'https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3' \
--header 'x-agent-id: <agent-id>'
import requests
url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3"
payload = {}
headers = {
'x-agent-id': '<agent-id>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
const url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3";
const headers = {
'x-agent-id': '<agent-id>'
};
fetch(url, {
method: 'GET',
headers: headers
})
.then(response => response.text())
.then(result => console.log(result));
Session Refresh
When a session token expires, you can refresh it using the refresh endpoint:curl --location --request GET 'https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3/refresh' \
--header 'x-agent-id: <agent-id>' \
--header 'x-sess-token: <old_token>'
import requests
url = "https://api.eka.care/med-assist/session/a349a41e-5d49-488a-b300-66ccbfdf16b3/refresh"
payload = {}
headers = {
'x-agent-id': '<agent-id>',
'x-sess-token': '<old_token>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
Authorizations
Your API key for authentication
Path Parameters
The unique session identifier
Was this page helpful?

